Skip to main content
POST
/
v1
/
files
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "object": "<string>",
  "bytes": 123,
  "created_at": 123,
  "filename": "<string>",
  "status_details": "<string>",
  "expires_at": 123,
  "storage_backend": "<string>",
  "storage_uri": "<string>",
  "extra_fields": {
    "request_type": "<string>",
    "model_requested": "<string>",
    "model_deployment": "<string>",
    "latency": 123,
    "chunk_index": 123,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "<string>",
      "hit_type": "<string>",
      "requested_provider": "<string>",
      "requested_model": "<string>",
      "provider_used": "<string>",
      "model_used": "<string>",
      "input_tokens": 123,
      "threshold": 123,
      "similarity": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Query Parameters

provider
enum<string>

Provider to upload file to (can also use x-model-provider header) AI model provider identifier

Available options:
openai,
azure,
anthropic,
bedrock,
cohere,
vertex,
vllm,
mistral,
ollama,
groq,
sgl,
parasail,
perplexity,
replicate,
cerebras,
gemini,
openrouter,
elevenlabs,
huggingface,
nebius,
xai,
runway,
fireworks

Body

multipart/form-data
file
file
required
purpose
enum<string>
required
Available options:
batch,
assistants,
fine-tune,
vision,
batch_output,
user_data,
responses,
evals
provider
enum<string>

AI model provider identifier

Available options:
openai,
azure,
anthropic,
bedrock,
cohere,
vertex,
vllm,
mistral,
ollama,
groq,
sgl,
parasail,
perplexity,
replicate,
cerebras,
gemini,
openrouter,
elevenlabs,
huggingface,
nebius,
xai,
runway,
fireworks

Response

Successful response

id
string
object
string
bytes
integer<int64>
created_at
integer<int64>
filename
string
purpose
enum<string>
Available options:
batch,
assistants,
fine-tune,
vision,
batch_output,
user_data,
responses,
evals
status
enum<string>
Available options:
uploaded,
processed,
processing,
error,
deleted
status_details
string
expires_at
integer<int64>
storage_backend
string
storage_uri
string
extra_fields
object

Additional fields included in responses